Package org.silverpeas.components.suggestionbox.web

# Class SuggestionEntity

java.lang.Object
org.silverpeas.components.suggestionbox.web.SuggestionEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class SuggestionEntity extends Object implements org.silverpeas.core.web.rs.WebEntity
It represents the state of a suggestion in a suggestion box as transmitted within the body of an HTTP response or an HTTP request.

Author:
  mmoquillon
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SuggestionEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SuggestionEntity`
  `decorate(Suggestion suggestion)`
  `static SuggestionEntity`
  `fromSuggestion(Suggestion suggestion)`
  `org.silverpeas.core.admin.user.model.User`
  `getAuthor()`
  `String`
  `getAuthorName()`
  `int`
  `getCommentCount()`
  `String`
  `getContent()`
  `String`
  `getContributionType()`
  `Date`
  `getCreateDate()`
  `String`
  `getId()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.webapi.rating.RaterRatingEntity`
  `getRaterRating()`
  `String`
  `getTitle()`
  `URI`
  `getURI()`
  `org.silverpeas.core.webapi.validation.ContributionValidationEntity`
  `getValidation()`
  `boolean`
  `isPublishableBy(org.silverpeas.core.admin.user.model.User user)`
  `protected void`
  `setApprobationDate(String dateInISO8601)`
  `protected void`
  `setAuthorName(String author)`
  `protected void`
  `setCommentCount(int count)`
  `protected void`
  `setContent(String content)`
  `protected void`
  `setContributionType(String type)`
  `protected void`
  `setCreateDate(Date validationDate)`
  `protected void`
  `setId(String id)`
  `protected void`
  `setRaterRating(org.silverpeas.core.webapi.rating.RaterRatingEntity raterRatingEntity)`
  `protected void`
  `setTitle(String title)`
  `protected void`
  `setURI(URI uri)`
  `protected void`
  `setValidation(org.silverpeas.core.webapi.validation.ContributionValidationEntity validation)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SuggestionEntity

    protected SuggestionEntity()

- ## Method Details

  - ### fromSuggestion

    public static SuggestionEntity fromSuggestion(Suggestion suggestion)

  - ### getURI

    public URI getURI()
    Specified by:
      `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

  - ### getId

    public String getId()

  - ### getTitle

    public String getTitle()

  - ### getContent

    public String getContent()

  - ### getAuthorName

    public String getAuthorName()

  - ### getCommentCount

    public int getCommentCount()

  - ### getCreateDate

    public Date getCreateDate()

  - ### getLastUpdateDate

    public Date getLastUpdateDate()

  - ### getContributionType

    public String getContributionType()

  - ### isPublishableBy

    public boolean isPublishableBy(org.silverpeas.core.admin.user.model.User user)

  - ### getValidation

    public org.silverpeas.core.webapi.validation.ContributionValidationEntity getValidation()

  - ### getRaterRating

    public org.silverpeas.core.webapi.rating.RaterRatingEntity getRaterRating()

  - ### getAuthor

    public org.silverpeas.core.admin.user.model.User getAuthor()

  - ### setValidation

    protected void setValidation(org.silverpeas.core.webapi.validation.ContributionValidationEntity validation)

  - ### setURI

    protected void setURI(URI uri)

  - ### setTitle

    protected void setTitle(String title)

  - ### setContent

    protected void setContent(String content)

  - ### setCommentCount

    protected void setCommentCount(int count)

  - ### setContributionType

    protected void setContributionType(String type)

  - ### setAuthorName

    protected void setAuthorName(String author)

  - ### setCreateDate

    protected void setCreateDate(Date validationDate)

  - ### setApprobationDate

    protected void setApprobationDate(String dateInISO8601)

  - ### setRaterRating

    protected void setRaterRating(org.silverpeas.core.webapi.rating.RaterRatingEntity raterRatingEntity)

  - ### setId

    protected void setId(String id)

  - ### decorate

    protected SuggestionEntity decorate(Suggestion suggestion)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`